NAME
	/precompiled/stack - generic stack

DESCRIPTION
	/precompiled/stack is a Pike program that implements a generic stack.
	The stack can hold any amount of values.

	Only three methods are available: push(), pop() and reset()

============================================================================
NAME
	push - push a value on the stack

SYNTAX
	#include <stack.h>

	void stack->push(mixed value)

DESCRIPTION
	This function pushes a value on top of the stack. There is always
	room for more values on the stack. (Until you run out of memory.)

============================================================================
NAME
	pop - pop a value off the stack

SYNTAX
	#include <stack.h>

	mixed stack->pop()

DESCRIPTION
	This function pops the topmost value off the stack. If there are
	no values left on the stack a 'stack underflow' error is generated.

============================================================================
NAME
	reset - remove all values from the stack

SYNTAX
	#include <stack.h>

	void stack->reset()

DESCRIPTION
	This function simply returns the stack to it's original state: empty.

============================================================================
